commit:     b801cf13f2658792f119dfcb2fc332498087cc78
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  2 11:54:19 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb  2 13:24:23 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b801cf13

sys-fs/vhba: Bump to 20240202

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-fs/vhba/Manifest             |  1 +
 sys-fs/vhba/vhba-20240202.ebuild | 58 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/sys-fs/vhba/Manifest b/sys-fs/vhba/Manifest
index 46bdd8d66b7a..4a562f92302e 100644
--- a/sys-fs/vhba/Manifest
+++ b/sys-fs/vhba/Manifest
@@ -1 +1,2 @@
 DIST vhba-module-20211218.tar.xz 16168 BLAKE2B 
37fcc56cc34dfbc68c8a8212f30a54c6a04f3b9014a5964b995bfef59df1b8f5a005e6cbfff97f1233451d215b6c4fd3c09a0cd39ebf6cb86bd6b327e5d7d718
 SHA512 
02b554bb2d0c91c090edeeb7c692164f378273e475a64653df845cb30cdd15d689f7fbe5fa890f77f82bf778d4d228384f656d202b6b6baf02d08321d7c2598d
+DIST vhba-module-20240202.tar.xz 16168 BLAKE2B 
7974f60b73c634528afdd44e94c6da34bdc481d874f19845efc0464435a7e560494dd703b0fb1df34c96fce5f1afb300a1e6e2b3b9730e91c956816905eb2f44
 SHA512 
fdb9b79feb870bb22ed2182216103c8b87d1b5a471d02def24bdf5782cc2bee2333f1d78e1428b042c3df5a33ff8e07b1d61cbe11414a27db18034f3fbbe2612

diff --git a/sys-fs/vhba/vhba-20240202.ebuild b/sys-fs/vhba/vhba-20240202.ebuild
new file mode 100644
index 000000000000..4c97a5404e45
--- /dev/null
+++ b/sys-fs/vhba/vhba-20240202.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-mod-r1 udev
+
+MY_P=vhba-module-${PV}
+DESCRIPTION="Virtual (SCSI) Host Bus Adapter kernel module for the CDEmu suite"
+HOMEPAGE="https://cdemu.sourceforge.io/";
+SRC_URI="https://download.sourceforge.net/cdemu/vhba-module/${MY_P}.tar.xz";
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       virtual/udev
+"
+DEPEND="
+       ${RDEPEND}
+"
+
+CONFIG_CHECK="~BLK_DEV_SR ~CHR_DEV_SG"
+
+src_compile() {
+       local modlist=( vhba )
+       local modargs=( KDIR="${KV_OUT_DIR}" )
+
+       linux-mod-r1_src_compile
+}
+
+src_prepare() {
+       default
+       # Avoid -Werror problems
+       sed -i -e '/ccflags/s/-Werror/-Wall/' Makefile || die "sed failed"
+}
+
+src_install() {
+       linux-mod-r1_src_install
+
+       einfo "Generating udev rules ..."
+       udev_newrules - 69-vhba.rules <<-EOF
+               # do not edit this file, it will be overwritten on update
+               #
+               KERNEL=="vhba_ctl", SUBSYSTEM=="misc", TAG+="uaccess"
+       EOF
+}
+
+pkg_postinst() {
+       linux-mod-r1_pkg_postinst
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

Reply via email to